unit fMDK_ListDLG;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, ValEdit, StdCtrls, ExtCtrls, Buttons;

type
  TfrmDefaults = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Label1: TLabel;
    VleDefaults: TValueListEditor;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    procedure FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmDefaults: TfrmDefaults;

function IsReplacementNeeded(AList: string): Boolean;

implementation

{$R *.dfm}

function IsReplacementNeeded(AList: string): Boolean;
var
  I: Integer;
  SL: TStringList;
begin
  Result := False;
  if not Assigned(FrmDefaults) then Application.CreateForm(TfrmDefaults, FrmDefaults);
  if not Assigned(FrmDefaults) then Exit;
  with FrmDefaults do begin
    SL := TStringList.Create;
    SL.Text := AList;
    SL.Sort;
    // vleDefaults.Strings.Text := aList;
    VleDefaults.Strings.Text := SL.Text;
    SL.Free;
    for I := 0 to VleDefaults.RowCount - 2 do VleDefaults.ItemProps[I].ReadOnly := True;
    Result := ShowModal <> MrCancel;
  end
end;

procedure TfrmDefaults.FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
begin
  if Key = VK_ESCAPE then ModalResult := MrCancel;
end;

end.
