unit fMDK_Select;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TdlgSelectItem = class(TForm)
    Panel3: TPanel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Panel1: TPanel;
    LbItems: TListBox;
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DlgSelectItem: TdlgSelectItem;

function SelectListItem(AList: string): string;

implementation

uses
  System.UITypes;

{$R *.dfm}

function SelectListItem(AList: string): string;
begin
  if not Assigned(DlgSelectItem) then Application.CreateForm(TdlgSelectItem, DlgSelectItem);
  with DlgSelectItem do begin
    LbItems.Items.Text := AList;
    if ShowModal = MrOK then Result := LbItems.Items[LbItems.ItemIndex]
    else Result := '';
  end;
end;

procedure TdlgSelectItem.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
  CanClose := LbItems.ItemIndex >= 0;
  if not CanClose then MessageDlg('Select an Item from the list, please...', MtWarning, [MbOK], 0);
end;

end.
